Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
cryptsetup
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
snakeo2
Veteran
Veteran


Joined: 01 Jan 2006
Posts: 1237

PostPosted: Wed Jul 10, 2013 3:58 pm    Post subject: cryptsetup Reply with quote

Hello,

I'm trying to run my monthly "update world" maintenance on my laptop and I'm running into the following issue. At some point, I must have installed "cryptsetup" and to be honest I have no use for it. Since I dont realy have any use for it, I went ahead and removed it but portage still complains. Here is the exact message:

Code:


 emerge -avuDN world

 * IMPORTANT: 18 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! The ebuild selected to satisfy "sys-fs/cryptsetup" has unmet requirements.
- sys-fs/cryptsetup-1.6.1::gentoo USE="gcrypt nls openssl python udev -kernel -nettle -reencrypt (-selinux) -static -static-libs -urandom" PYTHON_SINGLE_TARGET="python2_7 -python2_5 -python2_6" PYTHON_TARGETS="python2_7 -python2_5 -python2_6"

  The following REQUIRED_USE flag constraints are unsatisfied:
    exactly-one-of ( gcrypt kernel nettle openssl )

  The above constraints are a subset of the following complete expression:
    exactly-one-of ( gcrypt kernel nettle openssl ) python? ( python_single_target_python2_5? ( python_targets_python2_5 ) python_single_target_python2_6? ( python_targets_python2_6 ) python_single_target_python2_7? ( python_targets_python2_7 ) exactly-one-of ( python_single_target_python2_5 python_single_target_python2_6 python_single_target_python2_7 ) )

(dependency required by "sys-fs/udisks-2.1.0[crypt]" [installed])
(dependency required by "kde-base/kdelibs-4.10.5[udisks]" [ebuild])
(dependency required by "kde-base/nepomuk-widgets-4.10.5" [ebuild])



I see that "udisks, kdelibs & nepomuk-widgets" depend on cryptsetup and that would explain why portage insist on installing it. I have no use for nepomuk-widgets and will remove. Not so sure about the other two? If I remove them, will my core system be affected in any way? Thanks in advance.
_________________
Gigabyte MA790X-UD4P Motherboard
AMD Phenom II X4 940 Black Edition
MSI ATI R4650 PCIe2
250GB SATA Drive
4GB Corsair DDR2
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3822
Location: USA

PostPosted: Wed Jul 10, 2013 4:31 pm    Post subject: Reply with quote

You have USE=gcrypt and USE=openssl which apparently is illegal for cryptsetup. Remove one of them from your USE flags.

If you're using KDE or pretty much any desktop environment, likely you will break things if you remove udisks or kdelibs.
_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
mbar
Veteran
Veteran


Joined: 19 Jan 2005
Posts: 1952
Location: Poland

PostPosted: Wed Aug 07, 2013 8:15 am    Post subject: Reply with quote

And what about the "kernel" use flag?
kernel : Enable the kernel crypto backend

Should I enable it? Has it any impact on performance?
Back to top
View user's profile Send private message
eccerr0r
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3822
Location: USA

PostPosted: Wed Aug 07, 2013 4:01 pm    Post subject: Reply with quote

It says that the kernel backend is slow...

Code:
    if use kernel ; then
        ewarn "Note that kernel backend is very slow for this type of operation"
        ewarn "and is provided mainly for embedded systems wanting to avoid"
        ewarn "userspace crypto libraries."
    fi

_________________
Intel Core i7 2700K@ 4.1GHz/HD3000 graphics/8GB DDR3/180GB SSD
What am I supposed to be advocating?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum